Summary: A MySQL interface for perl
Name: perl-DBD-MySQL
Version: 2.1017
Release: 3
License: distributable
Group: Applications/Databases
Source: DBD-mysql-%{version}.tar.gz
Source2: filter-requires-dbdmysql.sh
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl, perl-DBI
BuildRequires: mysql-devel,perl, perl-DBI, zlib-devel

%description 
An implementation of DBI for MySQL for Perl.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
# %%define __find_requires /usr/lib/rpm/find-requires.perl
%define __find_requires %{SOURCE2}

%prep
%setup -q -n DBD-mysql-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL   PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
eval `perl '-V:installvendorarch'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make  install
rm -f $RPM_BUILD_ROOT/$installarchlib/perllocal.pod
rm -f $RPM_BUILD_ROOT/$installsitearch/auto/DBD/mysql/mysql.bs
rm -f $RPM_BUILD_ROOT/$installsitearch/auto/Msql-Mysql-modules/.packlist

%files 
%defattr(-,root,root)
%doc README ChangeLog
/usr/lib/*
%{_mandir}/*/*

%changelog
* Wed Aug  7 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.1017-3
- Rebuild

* Tue Jun 25 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.1017-2
- Rebuild, to fix #66304

* Wed Jun  5 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.1017-1
- New version - no longer integrated into msql-mysql modules

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Feb 22 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.2219-6
- Rebuild

* Fri Feb  8 2002 Chip Turner <cturner@minbar.devel.redhat.com>
- filter out "soft" dependencies: perl(Data::ShowTable)

* Thu Feb  7 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.2219-4
- Rebuild

* Tue Jan 22 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.2219-3
- Rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  8 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.2219-1
- 1.2219

* Fri Jul 20 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add zlib-devel to buildrequires (#49536)

* Sun Jul  1 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add perl and perl-DBI to BuildRequires

* Wed May 30 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Change Group to Applications/Databases

* Tue May  1 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 1.2216
- Add doc files
- Minor cleanups

* Thu Nov 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- First cut
